Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.util
Class TransferableCollection

    java.lang.Object
      edu.stanford.smi.protege.util.TransferableCollection

All Implemented Interfaces:
  Transferable

    public class TransferableCollection

extends Object
implements Transferable

Transferable object for a collection of Frames. This is used for drag and drop. Note that frames are not serializable so we have to use "java local object mime type".

Author:
  Ray Fergerson

Constructor Summary
`TransferableCollection(Collection frames)`

Method Summary
`static DataFlavor` | `getCollectionFlavor()`
`Object` | `getCollectionTransferData()`
`Object` | `getStringTransferData()`
`Object` | `getTransferData(DataFlavor flavor)`
`DataFlavor[]` | `getTransferDataFlavors()`
`boolean` | `isDataFlavorSupported(DataFlavor flavor)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TransferableCollection

    public TransferableCollection(Collection frames)

Method Detail

### getCollectionFlavor

    public static DataFlavor getCollectionFlavor()

### getTransferData

    public Object getTransferData(DataFlavor flavor)

  Specified by:
    `getTransferData` in interface `Transferable`

### getCollectionTransferData

    public Object getCollectionTransferData()

### getStringTransferData

    public Object getStringTransferData()

### getTransferDataFlavors

    public DataFlavor[] getTransferDataFlavors()

  Specified by:
    `getTransferDataFlavors` in interface `Transferable`

### isDataFlavorSupported

    public boolean isDataFlavorSupported(DataFlavor flavor)

  Specified by:
    `isDataFlavorSupported` in interface `Transferable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2009 Stanford University.